PDA

View Full Version : add user cmpgns to .08 or .09?



dashman
01-24-2009, 06:06 AM
Well, for better or worse, I uninstalled all of my IL2 stuff (except for hardall and some PDFs).

I reinstalled and got up to 4.08m - I had been running 4.09.

Is it best to install user campaigns into 4.09 and leave 4.08 'clean' for on-line play? Are there some 4.08 add-ons that are helpful/necessary for on-line play?

Thanks from the semi-noob!

dirkpit7
01-24-2009, 07:38 AM
Installing user-made campaigns has no negative effects on online play. On the contrary, they often add skins that you can then use online too for example.

Sounds like you are planning to have two installs, one 4.08 and another with 4.09. While this works ok, it's not necessary. There is a version switcher that allows you to switch back and forth between the two versions in the same install.

dashman
01-24-2009, 07:51 AM
thanks dirkpit7

I actually just downloaded the zip file with the switch (jsgme mod switch) but I'm unsure of how to get the 4.09 'on board' without overwriting 4.08.

Perhaps the directions are contained in the zip, but, again, I'm not sure even where to unzip the file in order to make both versions available.

Help! (thanks!)

dirkpit7
01-24-2009, 09:03 AM
I don't know about the jsgme mod switch. There's one specifically designed 4.08/4.09 switcher here (http://www.mission4today.com/index.php?name=Downloads&file=details&id=3305).

You have to install the 4.09b1 patch first normally, so that it does overwrite 4.08. The switcher will then copy the file needed when you want to change version. Basically you have 4.09 files installed all the time, but the game doesn't recognize them when you're running 4.08.

I have to say though, the automatic switching did not work for me, for some reason. This doesn't mean it won't work for you. Even if it doesn't, it's still very easy to change the version manually: you just copy one file from a folder that the switcher creates inside the main folder, and paste it to the main folder and let it overwrite. Takes about 10 seconds.

crucislancer
01-24-2009, 09:24 AM
Originally posted by dirkpit7:
I have to say though, the automatic switching did not work for me, for some reason. This doesn't mean it won't work for you. Even if it doesn't, it's still very easy to change the version manually: you just copy one file from a folder that the switcher creates inside the main folder, and paste it to the main folder and let it overwrite. Takes about 10 seconds.

If you are talking about the switcher that is on Mission4today, then it's possible that the reason it didn't work is that you installed IL-2 in a different location then the typical install.

If you installed IL-2 in this location (c:\Program Files\Ubisoft\IL-2 Sturmovik 1946), then it will work. If not, you will need to edit the two batch files with the proper path. I thought for sure the program was a dud, but after a quick check of the .bat file I could see what the problem was. Just left click each .bat file, select edit, and use notepad to edit it. For instance, you will see the following in the FB ver 08.bat file:



@echo OFF
cd c:\Program Files\Ubisoft\IL-2 Sturmovik 1946\il2_ver08
xcopy *.* "c:\Program Files\Ubisoft\IL-2 Sturmovik 1946\" /Y
cd c:\Program Files\Ubisoft\IL-2 Sturmovik 1946
exit


Change the path to whatever the path is to your version of the game:



@echo OFF
cd C:\Games\IL-2 Sturmovik 1946\il2_ver08
xcopy *.* "C:\Games\IL-2 Sturmovik 1946\" /Y
cd C:\Games\IL-2 Sturmovik 1946
exit


Do this for both .bat files. Piece of cake.

I don't know much about the Mod version switcher, but it does work on a similar principle, though I don't think needs a specific path.

dirkpit7
01-24-2009, 09:50 AM
Hi crucislancer. Indeed I have installed in a non-default location. I'll follow your advice. Thanks!

dashman
01-24-2009, 10:13 AM
Thanks to you both!

dashman
01-24-2009, 02:02 PM
Well, I managed to get it all working but it wasn't by the book.

1. Downloaded/installed 4.09

2. downloaded the switch

3. downloaded WinRAR to 'unzip' the switch (Winzip flunked)

The switch icons were 'batch' symbols so I...

4. downloaded IL2 pics from google, then I

5. downloaded a trial of Microangelo to convert JPEGs to Icon symbols and...

Itworks!

My only possible problem is when I installed 4.09 it asked me if I wanted to overwrite some files that were already there. I said yes, and that may have been a mistake.

Any thoughts on that?